Skip to main content
PATCH
/
api
/
v0
/
repositories
/
{repo_id}
/
labels
Update the labels of a single repository.
curl --request PATCH \
  --url https://api.example.com/api/v0/repositories/{repo_id}/labels \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "name": "<string>",
    "reviewerRead": true,
    "reviewerUse": true,
    "description": "<string>"
  }
]
'
{
  "msg": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required

Body

application/json

Delete or add labels to a repository.

name
string
required
color
enum<string>
required

The color of a label

Available options:
red,
yellow,
purple,
violet,
blue,
green,
grey
reviewerRead
boolean
required

Reviewer can view the label when set on a finding. Note that admins, clients, judges and triagers can view all labels.

reviewerUse
boolean
required

Reviewer can set or remove the label from a finding. Note that admins, clients, judges and triagers can set and remove all labels.

action
enum<string>
required
Available options:
create
description
string | null

Response

Repository updated